pkgconfigdir=$(libdir)/pkgconfig
libincludedir=$(includedir)/libisoburn

lib_LTLIBRARIES = src/libisoburn.la 

## ========================================================================= ##

# Build libraries
src_libisoburn_la_LDFLAGS = \
	-version-info $(LT_CURRENT):$(LT_REVISION):$(LT_AGE)
src_libisoburn_la_SOURCES = \
	src/burn_wrap.c \
	src/data_source.c \
	src/isoburn.c \
	src/isoburn.h \
	src/isofs_wrap.c \
	src/libisoburn.h \
	version.h

##	libburn/sg-@ARCH@.c \

libinclude_HEADERS = \
	src/libisoburn.h 

## ========================================================================= ##

## Build test applications
noinst_PROGRAMS = \
	test/test

test_test_CPPFLAGS = -Ilibisofs -Ilibburn -Ilibisoburn
test_test_LDADD = $(src_libisoburn_la_OBJECTS) $(THREAD_LIBS) -lburn -lisofs
test_test_SOURCES = test/test.c 

bin_PROGRAMS = 


## ========================================================================= ##

## Build documentation (You need Doxygen for this to work)
webhost = http://libburn-api.pykix.org
webpath = /
docdir = $(DESTDIR)$(prefix)/share/doc/$(PACKAGE)-$(VERSION)

doc:	doc/html

doc/html: doc/doxygen.conf
	if [ -f ./doc/doc.lock ]; then \
		$(RM) -r doc/html; \
		doxygen doc/doxygen.conf; \
	fi

doc-upload: doc/html
	scp -r $</* $(webhost):$(webpath)

all: doc

install-data-local: 
	if [ -f ./doc/doc.lock ]; then \
		$(mkinstalldirs) $(docdir)/html; \
		$(INSTALL_DATA) doc/html/* $(docdir)/html; \
	fi

uninstall-local:
	rm -rf $(docdir)

## ========================================================================= ##

# Indent source files
indent_files = \
	$(src_libisoburn_la_SOURCES)
	

indent: $(indent_files)
	indent -bad -bap -nbbb -nbbo -nbc -bli0 -br -bls   \
		-cdw -ce -cli0 -ncs -nbfda -i8 -l79 -lc79   \
		-lp -saf -sai -nprs -npsl -saw -sob -ss -ut \
		-sbi0 -nsc -ts8 -npcs -ncdb -fca            \
		$^

.PHONY: indent

## ========================================================================= ##

# Extra things
nodist_pkgconfig_DATA = \
	libisoburn.pc


EXTRA_DIST = \
	libisoburn.pc.in \
	version.h.in \
	doc/comments \
	doc/doxygen.conf.in \
	README \
	AUTHORS \
	CONTRIBUTORS \
	COPYRIGHT \
	COPYING \
	NEWS \
	ChangeLog \
	INSTALL

